#ifndef __RUN_IN_TERMINAL_APP__

#include <Application.h>
#include <Entry.h>

#include "FavoriteWindow.h"

class RunInTerminalApp : public BApplication
{
public:
	RunInTerminalApp (void);
	~RunInTerminalApp (void);

	virtual void	ReadyToRun		(void);
	virtual void	RefsReceived	(BMessage	*	a_message);
	virtual void	ArgvReceived	(int32 argc, char **argv);
	virtual	void	MessageReceived	(BMessage * a_message);
	virtual	void	AboutRequested	(void);

private:

	void 			ProcessRefs		(BMessage	*	a_message);
	void 			RunScript		(const entry_ref * a_ref);
	void			NameSafe		(BString * a_string);
	void			FullQuote		(BString * a_string);
	void			Help			(void);
	status_t		CreateTempFolder	(void);

	bool	argv_received;
	bool	refs_received;
	
	BDirectory		*	m_tmp_dir;
	FavoriteWindow	*	m_window;
};

#define __RUN_IN_TERMINAL_APP__
#endif
